<ttip-date-tabs
  *ngIf="dateTabData"
  [data]="dateTabData"
  [viewType]="viewType"
  [selectedIndex]="selectedIndex"
  (selectedChange)="dateTabSelected($event)"
></ttip-date-tabs>

<div class="calendar-body">
  <div class="form-wrapper">
    <ttip-form-view></ttip-form-view>
  </div>
  <div class="action-wrapper">
    <div>
      <ttip-action-button
        *ngIf="viewType === 'day'"
        [color]="actionButtonDayData.color"
        [disabled]="actionButtonDayData.disabled"
        [placeholder]="actionButtonDayData.placeholder"
        (clicked)="setTabView('week')"
      ></ttip-action-button>
      <ttip-action-button
        *ngIf="viewType === 'week'"
        [color]="actionButtonWeekData.color"
        [disabled]="actionButtonWeekData.disabled"
        [placeholder]="actionButtonWeekData.placeholder"
        (clicked)="setTabView('day')"
      ></ttip-action-button>
    </div>
  </div>
</div>
